Package htsjdk.tribble

# Class SimpleFeature

java.lang.Object
htsjdk.tribble.SimpleFeature

All Implemented Interfaces:
  `Locatable`, `Feature`

public class SimpleFeature extends Object implements Feature
A simple concrete Feature.

## Constructor Summary

Constructors
Constructor
Description
`SimpleFeature(String contig, int start, int end)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getContig()`
Gets the contig name for the contig this is mapped to.
`int`
`getEnd()`
`int`
`getStart()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface htsjdk.tribble.Feature

`getChr`

### Methods inherited from interface htsjdk.samtools.util.Locatable

`contains, contigsMatch, getLengthOnReference, overlaps, withinDistanceOf`

## Constructor Details

### SimpleFeature

public SimpleFeature(String contig, int start, int end)

## Method Details

### getContig

public String getContig()
Description copied from interface: `Locatable`
Gets the contig name for the contig this is mapped to. May return null if there is no unique mapping.

Specified by:
  `getContig` in interface `Locatable`
Returns:
  name of the contig this is mapped to, potentially null

### getStart

public int getStart()

Specified by:
  `getStart` in interface `Locatable`
Returns:
  1-based start position, undefined if getContig() == null

### getEnd

public int getEnd()

Specified by:
  `getEnd` in interface `Locatable`
Returns:
  1-based closed-ended position, undefined if getContig() == null